Bug 436142 - Text selection not possible; selection skips around the text
Text selection not possible; selection skips around the text
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 11:35 EST by Jesse Keating
Modified: 2013-01-09 22:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video of an attempt to select text (56.64 KB, application/ogg)
2008-03-05 11:35 EST, Jesse Keating
no flags Details
Xorg log file, as requested. (105.53 KB, text/plain)
2008-03-05 20:55 EST, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2008-03-05 11:35:58 EST
This one is rather difficult to describe.  When I attempt to select a section of
text, the selection goes all crazy and winds up selecting the wrong thing.  I
made a video of it to explain what I was seeing.

I see it happen in gnome-terminal, xterm, firefox, gedit, etc.. but oddly enough
I don't see it in Evolution.
Comment 1 Jesse Keating 2008-03-05 11:35:58 EST
Created attachment 296894 [details]
Video of an attempt to select text
Comment 2 Matěj Cepl 2008-03-05 17:54:18 EST
Anything interesting in /var/log/Xorg.0.log?
Comment 3 Jesse Keating 2008-03-05 20:55:48 EST
Created attachment 296975 [details]
Xorg log file, as requested.

I don't think so, but I'll attach it anyway.
Comment 4 Jesse Keating 2008-03-05 21:35:00 EST
Interestingly enough I don't seem to have a problem when I'm using the touch
pad.  I will double verify at work once I'm using the USB mouse again.
Comment 5 Jesse Keating 2008-03-06 09:49:20 EST
Confirmed.  When I'm using the touch pad I can select just fine, but if I'm
using a USB mouse I cannot.
Comment 6 Jesse Keating 2008-03-12 11:51:16 EDT
This bug seems specific to the Apple Mighty Mouse.  The only other person who
has seen this has the same mouse.  http://www.apple.com/mightymouse/  Using a
different mouse things work fine.
Comment 7 Adam Jackson 2008-03-12 16:51:33 EDT
Fixed in evdev 1.99.1-0.4.fc9

Note You need to log in before you can comment on or make changes to this bug.